Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.opennetworking
Class SOAOIOpenNetworking

    java.lang.Object
      javax.xml.ws.Service
          com.nortel.soa.oi.opennetworking.SOAOIOpenNetworking

    @WebServiceClient(name="SOAOI_OpenNetworking",
                      wsdlLocation="file:/Q:/cmf_vob/cmf/wsdl/OpenNetworking.wsdl",
                      targetNamespace="http://www.nortel.com/soa/oi/OpenNetworking")
    public class SOAOIOpenNetworking

extends javax.xml.ws.Service

This class was generated by Apache CXF 2.2.5 Fri May 14 11:13:48 BST 2010 Generated source version: 2.2.5

Nested Class Summary

Nested classes/interfaces inherited from class javax.xml.ws.Service
`javax.xml.ws.Service.Mode`

Field Summary
`static javax.xml.namespace.QName` | `OpenNetworking`
`static javax.xml.namespace.QName` | `SERVICE`
`static java.net.URL` | `WSDL_LOCATION`

Constructor Summary
`SOAOIOpenNetworking()`
`SOAOIOpenNetworking(java.net.URL wsdlLocation)`
`SOAOIOpenNetworking(java.net.URL wsdlLocation, javax.xml.namespace.QName serviceName)`

Method Summary
`OpenNetworking` | `getOpenNetworking()`
`OpenNetworking` | `getOpenNetworking(javax.xml.ws.WebServiceFeature... features)`

Methods inherited from class javax.xml.ws.Service
`addPort, create, create, createDispatch, createDispatch, createDispatch, createDispatch, createDispatch, createDispatch, getExecutor, getHandlerResolver, getPort, getPort, getPort, getPort, getPort, getPorts, getServiceName, getWSDLDocumentLocation, setExecutor, setHandlerResolver`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WSDL_LOCATION

    public static final java.net.URL WSDL_LOCATION

### SERVICE

    public static final javax.xml.namespace.QName SERVICE

### OpenNetworking

    public static final javax.xml.namespace.QName OpenNetworking

Constructor Detail

### SOAOIOpenNetworking

    public SOAOIOpenNetworking(java.net.URL wsdlLocation)

### SOAOIOpenNetworking

    public SOAOIOpenNetworking(java.net.URL wsdlLocation,
                               javax.xml.namespace.QName serviceName)

### SOAOIOpenNetworking

    public SOAOIOpenNetworking()

Method Detail

### getOpenNetworking

    @WebEndpoint(name="OpenNetworking")
    public OpenNetworking getOpenNetworking()

  Returns:
    returns OpenNetworking

### getOpenNetworking

    @WebEndpoint(name="OpenNetworking")
    public OpenNetworking getOpenNetworking(javax.xml.ws.WebServiceFeature... features)

  Parameters:
    `features` - A list of `WebServiceFeature` to configure on the proxy. Supported features not in the `features` parameter will have their default values.
  Returns:
    returns OpenNetworking

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.